View Issue Details

IDProjectCategoryView StatusLast Update
0000147FreeCADFeaturepublic2010-09-06 18:49
ReporternormandcAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.11 
Summary0000147: Keep Dimension tool active after completing instead of quitting
DescriptionDimensioning is frequently done only after drafting of a series of objects is completed. In such a case the Dimension tool has to be started repeatedly.

Keeping the command active in a similar way to the Multi-point Wire tool would enhance its usability.
TagsNo tags attached.

Activities

unauthenticated

2010-09-01 10:50

viewer   ~0000315

Very good idea! I'll do that.
It'll also be a good opportunity to think of a better behaviour to "finish" commands (other than the poor "finish" button I did on the Wire tool, which cannot have a standard keyboard shortcut)

yorik

2010-09-06 18:49

administrator   ~0000317

done in r3536
might benefit some further improvement, but it works...

Issue History

Date Modified Username Field Change
2010-08-28 15:27 normandc New Issue
2010-09-01 07:26 Jriegel Status new => assigned
2010-09-01 07:26 Jriegel Assigned To => yorik
2010-09-01 10:50 unauthenticated Note Added: 0000315
2010-09-06 18:49 yorik Note Added: 0000317
2010-09-06 18:49 yorik Status assigned => closed
2010-09-06 18:49 yorik Resolution open => fixed
2010-09-06 18:49 yorik Fixed in Version => 0.11